Page MenuHomeFreeBSD

libc: Document support for binary integers.
ClosedPublic

Authored by des on Aug 21 2023, 12:57 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jul 10, 10:40 AM
Unknown Object (File)
Mon, Jul 8, 6:02 PM
Unknown Object (File)
Wed, Jul 3, 12:31 AM
Unknown Object (File)
Fri, Jun 28, 6:05 PM
Unknown Object (File)
Thu, Jun 27, 6:23 PM
Unknown Object (File)
Tue, Jun 18, 2:11 AM
Unknown Object (File)
Jun 5 2024, 3:03 AM
Unknown Object (File)
May 6 2024, 1:53 AM
Subscribers

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 53202
Build 50093: arc lint + arc unit

Event Timeline

des requested review of this revision.Aug 21 2023, 12:57 PM
debdrup added a subscriber: debdrup.

Only spotted two minor nits, but they can be fixed before pushing as they don't have to hold up things.

lib/libc/stdio/printf.3
421–422

Why the newline here?

lib/libc/stdio/scanf.3
288–289

Similar to the other, why a newline here?

This revision is now accepted and ready to land.Aug 21 2023, 1:03 PM
des marked 2 inline comments as done.Aug 21 2023, 1:07 PM
des added inline comments.
lib/libc/stdio/printf.3
421–422

it makes no difference for the output but makes the source more readable as each element in the enumeration has the same form.

lib/libc/stdio/scanf.3
288–289

same reason

des marked 2 inline comments as done.Aug 21 2023, 1:07 PM
emaste added a subscriber: emaste.
emaste added inline comments.
lib/libc/stdio/printf.3
421–422

igor complains about blank lines though

lib/libc/stdio/printf.3
421–422

where?

This revision was automatically updated to reflect the committed changes.